package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

public class ItemCambioNombreActivoFijoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String idActivoFijo;
	private String nuevoNombre;
	private String codigoDDA;
	private String programID;
	
	public String getIdActivoFijo() {
		return idActivoFijo;
	}
	public void setIdActivoFijo(String idActivoFijo) {
		this.idActivoFijo = idActivoFijo;
	}
	public String getNuevoNombre() {
		return nuevoNombre;
	}
	public void setNuevoNombre(String nuevoNombre) {
		this.nuevoNombre = nuevoNombre;
	}
	public String getCodigoDDA() {
		return codigoDDA;
	}
	public void setCodigoDDA(String codigoDDA) {
		this.codigoDDA = codigoDDA;
	}
	public String getProgramID() {
		return programID;
	}
	public void setProgramID(String programID) {
		this.programID = programID;
	}
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" idActivoFijo: _" + this.getIdActivoFijo() + "_" + NEW_LINE);
		result.append(" nuevoNombre: _" + this.getNuevoNombre() + "_" + NEW_LINE);
		result.append(" codigoDDA: _" + this.getCodigoDDA() + "_" + NEW_LINE);
		result.append(" programID: _" + this.getProgramID() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
